> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Submit an asynchronous job for a topic > Initiates an asynchronous job by providing a topic name (script name) and input data (arguments).
The script name references an API script that is individually created for your system.
CEP receives the request and processes the script asynchronously.

Results can be polled from the result queue by topic name. ## OpenAPI ````json GET /async/submit { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/async/submit": { "get": { "tags": [ "Async" ], "summary": "Submit an asynchronous job for a topic", "description": "Initiates an asynchronous job by providing a topic name (script name) and input data (arguments).
The script name references an API script that is individually created for your system.
CEP receives the request and processes the script asynchronously.

Results can be polled from the result queue by topic name.", "operationId": "submit", "responses": { "200": { "description": "", "content": { "application/json": { "schema": { "type": "string" } } } }, "400": { "description": "Required parameters are missing or incorrect.", "content": { "application/json": {} } } } } } } } ````